---
sidebar_position: 7
description: Get list of message replies and other functions to work with Slack in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Slack]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get list of message replies
 Gets an array of messages that are replies to the specified



`Function GetMessageReplyList(Val Token, Val Channel, Val Timestamp, Val Cursor = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Bot token |
  | Channel | --channel | String | &#x2714; | Channel ID |
  | Timestamp | --stamp | String | &#x2714; | Timestamp or message ID |
  | Cursor | --cursor | String | &#x2716; | Pointer from the previous request, if the result rows > 100 |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Slack



```bsl title="1C:Enterprise/OneScript code example"
    Token     = "xoxb-6965308400114-696804637...";
    Channel   = "C06UFNUTKUL";
    Timestamp = "1765392210.321779";

    Result = OPI_Slack.GetMessageReplyList(Token, Channel, Timestamp);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint slack GetMessageReplyList \
             --token "***" \
             --channel "C06UFNUTKUL" \
             --stamp "1765395484.329079"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint slack GetMessageReplyList ^
             --token "***" ^
             --channel "C06UFNUTKUL" ^
             --stamp "1765395484.329079"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "ok": true,
 "messages": [
  {
   "user": "U06UG1CAYH2",
   "type": "message",
   "ts": "1765395484.329079",
   "edited": {
    "user": "B06TZ0MJV5M",
    "ts": "1765395500.000000"
   },
   "bot_id": "B06TZ0MJV5M",
   "app_id": "A06TYNH45RV",
   "text": "TestMessage2",
   "team": "T06UD92BS3C",
   "bot_profile": {
    "id": "B06TZ0MJV5M",
    "deleted": false,
    "name": "OpenIntegrations",
    "updated": 1713205238,
    "app_id": "A06TYNH45RV",
    "user_id": "U06UG1CAYH2",
    "icons": {
     "image_36": "https://a.slack-edge.com/80588/img/plugins/app/bot_36.png",
     "image_48": "https://a.slack-edge.com/80588/img/plugins/app/bot_48.png",
     "image_72": "https://a.slack-edge.com/80588/img/plugins/app/service_72.png"
    },
    "team_id": "T06UD92BS3C"
   },
   "blocks": [
    {
     "type": "rich_text",
     "block_id": "vkK8",
     "elements": [
      {
       "type": "rich_text_section",
       "elements": [
        {
         "type": "text",
         "text": "TestMessage2"
        }
       ]
      }
     ]
    }
   ]
  }
 ],
 "has_more": false
}
```
